Ir para o conteúdo

Isaac 0.1

Integrar

ID do modelo perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Esta solicitação: ≈$ 0,001 1 crédito de API Executar nesta página

Obter chave de API
Perceptron Visão #multimodal#vision

Modelo de visão e linguagem que responde sobre uma imagem como texto, caixas, pontos ou polígonos

Perceptron · Texto

Seu primeiro resultado aparecerá aqui

Monte uma requisição abaixo e execute-a com sua chave de API. As saídas são copiadas para nosso armazenamento, mantidas para sempre ou por 7 dias gratuitamente.

Criar uma solicitação

Os controles são gerados a partir do esquema do modelo. O código e o preço são atualizados conforme você os altera.

•obrigatório

Prompt aplicado à imagem.

•obrigatório image_url
Solte um arquivo ou

URL que identifica a imagem para processamento.

Avançado response_style
response_style padrão text

Escolha o formato da resposta da imagem: todos os modos incluem texto, com box adicionando caixas delimitadoras, point adicionando pontos e polygon adicionando polígonos; somente text retorna apenas texto. Use polygon para segmentação detalhada ou box para localização. Para descrições e legendas, use text; para contar muitos objetos, use point.

POST /run/perceptron/isaac-01?wait=20 cotação → $ 0,001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Executar esta solicitação

Sua chave permanece neste navegador: ela é enviada somente à Doitong API e salva (localStorage) apenas se você marcar Lembrar. Obter uma chave de API

Sobre Isaac 0.1

Recebe um `image_url` e um `prompt` e retorna uma resposta no formato definido por `response_style`. Texto é adequado para legendas e descrições, enquanto os estilos box, point e polygon adicionam dados de localização. O resultado inclui a saída gerada, uma flag de saída parcial, uma mensagem de erro, se houver, e informações de uso.

Parâmetros

Envie o nome canônico ou o nome nativo, não ambos. Nomes canônicos

NomeTipo PadrãoPermitido Descrição
image_urlobrigatório image
Tipourl · image
URL que identifica a imagem para processamento.
promptobrigatório
Tipostring
Prompt aplicado à imagem.
response_styleopcional
Tipoenum
Padrãotext
textboxpointpolygon
Escolha o formato da resposta da imagem: todos os modos incluem texto, com box adicionando caixas delimitadoras, point adicionando pontos e polygon adicionando polígonos; somente text retorna apenas texto. Use polygon para segmentação detalhada ou box para localização. Para descrições e legendas, use text; para contar muitos objetos, use point.
obrigatório Nome canônico, também aceito

Os parâmetros de arquivo aceitam uma URL https:// pública, um URI data: de até 10 MB ou o file_url de um upload. Arquivos

Saída

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "perceptron/isaac-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n   - There are three vehicles visible: a green truck, an orange car, and a brown car.\n   - The green truck is positioned in front of the garage entrance.\n   - The orange car is parked to the left of the green truck.\n   - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n   - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n   - The orange car is parked parallel to the garage but is not in the path of the green truck.\n   - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n   - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n   - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
    "partial": false,
    "error": "string",
    "usage": {
      "completion_tokens": 1,
      "prompt_tokens": 1,
      "total_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Seus arquivos, sua escolhaCada outputs[].url é uma cópia em nosso armazenamento: mantida para sempre (cobrada por GB-mês) ou por 7 dias gratuitamente, conforme a configuração da sua conta ou ?storage=.
Mesmo formato em todos os modelostype, url, content_type, width, height e duration, para imagens, vídeos e áudios. output é o próprio objeto de resultado do modelo.
Campos da saída
output
stringResultado produzido pelo modelo.
partial
booleanIndica se a saída está incompleta.
error
string | nullMensagem que descreve um erro, caso tenha ocorrido.
usage
object {completion_tokens, prompt_tokens, total_tokens} | nullDetalhes de uso.

Para agentes de IA: esta página em Markdown está em https://doitong.com/pt-BR/developers/models/perceptron/isaac-01.md. Todos os modelos e guias: https://doitong.com/developers/llms.txt